Scriptname FXfakeCritterScript extends ObjectReference  
{Make fake critters shootable}

container Property myContainer Auto
Flora Property myFlora Auto
ingredient Property myIngredient Auto
potion Property myFood Auto
string Property myLocationOffset Auto
string Property myFakeForceExplosionOffset Auto
Explosion Property myExplosion Auto
Explosion Property myFakeForceExplosion Auto
objectReference myContainerRef
objectReference myIngredientRef
objectReference myExplosionRef
objectReference myFakeForceExplosionRef
objectReference myFloraRef
int Property numberOfIngredientsOnCatch Auto
int property hoursBeforeReset = 72 auto

Event OnActivate(ObjectReference akActionRef)
	self.disable()
	if myFood 
		game.getplayer().additem(myFood, numberOfIngredientsOnCatch)
	endif
	if myIngredient
		game.getplayer().additem(myIngredient, numberOfIngredientsOnCatch)
	endif
	RegisterForSingleUpdateGameTime(hoursBeforeReset)
EndEvent

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
  if akAggressor == game.getplayer()
    if myContainer 
      myContainerRef = self.placeAtMe(myContainer, 1, false, true)
      utility.wait(0.01)
      myContainerRef.enable(false)
      myContainerRef.MoveToNode(self, myLocationOffset)	
    endIf
    if myFlora 
      myFloraRef = self.placeAtMe(myFlora, 1, false, true)
      utility.wait(0.01)
      myFloraRef.enable(false)
      myFloraRef.MoveToNode(self, myLocationOffset)	
    endIf
    utility.wait(0.1)
    self.disable()
    RegisterForSingleUpdateGameTime(hoursBeforeReset)
  endIf
EndEvent

Event OnUpdateGameTime()
  enable()
  if myContainerRef
    myContainerRef.disable()
    utility.wait(0.1)
    myContainerRef.delete()
    myContainerRef = None
  endif
  if myFloraRef
    myFloraRef.disable()
    utility.wait(0.1)
    myFloraRef.delete()
    myFloraRef = None
  endif
endEvent
