unit UserScript;

uses 'lib\mxpf';

function Initialize: integer;

var
i: integer;
vmad, rec, scripts, script: IInterface;

begin
//MXPF Initialization
InitializeMXPF;
DefaultOptionsMXPF;

//Name this whatever you like
PatchFileByName('FloraRespawnFix.esp');

//Loading records
LoadRecords('FLOR');
LoadRecords('TREE');
AddMessage('Records loaded');

CopyRecordsToPatch;

for i := 0 to MaxPatchRecordIndex do begin
	rec := GetPatchRecord(i);
	if Assigned(ElementByIP(rec, 'FULL')) then begin
		//Add VMAD to the records
		vmad := ElementByIP(rec, 'VMAD');
		if not Assigned(vmad) then
			vmad := Add(rec, 'VMAD', true);

		//Add Scripts to VMAD
		scripts := ElementByIP(rec, 'VMAD\Scripts');
		if Assigned(scripts) then
			scripts := ElementAssign(scripts, HighInteger, nil, False);

		//Add script values to the newly created script
		script := ElementByIP(rec, 'VMAD\Scripts\[0]');
		if Assigned(script) then begin
			seev(rec, 'VMAD\Scripts\[0]\ScriptName', 'FloraRespawnScript');
			AddMessage('Completed patching of Record: ' + EditorID(rec));
		end
	end
	else begin
		Remove(rec);
	end;
end;

//Add ESL flag
SetElementNativeValues(ElementByIndex(mxPatchFile, 0), 'Record Header\Record Flags\ESL', '1');

//MXPF Finalization
FinalizeMXPF;
end;

end.